# Receive webhook events

```
POST 
/webhook
```

This is the endpoint you need to implement on your server to receive events. This page references the format of all the possible events.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

Respond with 200 to acknowledge the handling of this webhook event, otherwise we will retry the call later.

## Operation spec

```json
{
  "method": "post",
  "path": "/webhook",
  "operationId": "api-receive-webhook",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "oneOf": [
            {
              "title": "generate_note_async.succeeded",
              "x-sensitive-medical-data": true,
              "x-webhook-type": "CORE_API_GENERATE_NOTE_ASYNC_SUCCEEDED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** note generation succeeds.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "description": "The generated note.",
                          "required": [
                            "note"
                          ],
                          "properties": {
                            "note": {
                              "type": "object",
                              "description": "The generated note.",
                              "properties": {
                                "title": {
                                  "type": "string",
                                  "description": "Title of the note.",
                                  "example": "Fever and strong headache"
                                },
                                "sections": {
                                  "type": "array",
                                  "description": "Content of the note structured in multiple sections.",
                                  "items": {
                                    "type": "object",
                                    "description": "A note section.",
                                    "properties": {
                                      "key": {
                                        "type": "string",
                                        "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates/note-templates-sections) for possible values.",
                                        "example": "CHIEF_COMPLAINT",
                                        "title": "note_section_key"
                                      },
                                      "title": {
                                        "type": "string",
                                        "description": "The section title.",
                                        "example": "Chief complaint"
                                      },
                                      "content": {
                                        "oneOf": [
                                          {
                                            "title": "TEXT",
                                            "type": "object",
                                            "description": "Plain-text note section content.",
                                            "required": [
                                              "type",
                                              "text"
                                            ],
                                            "properties": {
                                              "type": {
                                                "type": "string",
                                                "enum": [
                                                  "TEXT"
                                                ]
                                              },
                                              "text": {
                                                "type": "string",
                                                "description": "Content of the note section."
                                              }
                                            }
                                          },
                                          {
                                            "title": "SUBSECTIONS",
                                            "type": "object",
                                            "description": "Structured note section content as subsections.",
                                            "required": [
                                              "type",
                                              "subsections"
                                            ],
                                            "properties": {
                                              "type": {
                                                "type": "string",
                                                "enum": [
                                                  "SUBSECTIONS"
                                                ]
                                              },
                                              "subsections": {
                                                "type": "array",
                                                "minItems": 1,
                                                "description": "Structured subsections. Present only on the Assessment & Plan section of A&P-merged templates. Order is significant.",
                                                "items": {
                                                  "type": "object",
                                                  "description": "A subsection of a note section. Currently only used on the Assessment & Plan section of A&P-merged templates.",
                                                  "properties": {
                                                    "id": {
                                                      "description": "Stable identifier for this subsection. Echoed on normalized conditions via `subsection_id`.",
                                                      "type": "string",
                                                      "format": "uuid",
                                                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                                                      "title": "uuid"
                                                    },
                                                    "title": {
                                                      "type": "string",
                                                      "description": "Short subsection title (typically a clinical problem name). May be omitted or `null` (e.g. subsections appended by dot phrase auto-apply)."
                                                    },
                                                    "text": {
                                                      "type": "string",
                                                      "description": "Free-text content of the subsection. May be omitted or `null` if the subsection only carries a title."
                                                    }
                                                  },
                                                  "required": [
                                                    "id"
                                                  ],
                                                  "title": "note_section_subsection"
                                                }
                                              }
                                            }
                                          }
                                        ],
                                        "discriminator": {
                                          "propertyName": "type",
                                          "mapping": {
                                            "TEXT": {
                                              "type": "object",
                                              "description": "Plain-text note section content.",
                                              "required": [
                                                "type",
                                                "text"
                                              ],
                                              "properties": {
                                                "type": {
                                                  "type": "string",
                                                  "enum": [
                                                    "TEXT"
                                                  ]
                                                },
                                                "text": {
                                                  "type": "string",
                                                  "description": "Content of the note section."
                                                }
                                              },
                                              "title": "note_section_content_text"
                                            },
                                            "SUBSECTIONS": {
                                              "type": "object",
                                              "description": "Structured note section content as subsections.",
                                              "required": [
                                                "type",
                                                "subsections"
                                              ],
                                              "properties": {
                                                "type": {
                                                  "type": "string",
                                                  "enum": [
                                                    "SUBSECTIONS"
                                                  ]
                                                },
                                                "subsections": {
                                                  "type": "array",
                                                  "minItems": 1,
                                                  "description": "Structured subsections. Present only on the Assessment & Plan section of A&P-merged templates. Order is significant.",
                                                  "items": {
                                                    "type": "object",
                                                    "description": "A subsection of a note section. Currently only used on the Assessment & Plan section of A&P-merged templates.",
                                                    "properties": {
                                                      "id": {
                                                        "description": "Stable identifier for this subsection. Echoed on normalized conditions via `subsection_id`.",
                                                        "type": "string",
                                                        "format": "uuid",
                                                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                                                        "title": "uuid"
                                                      },
                                                      "title": {
                                                        "type": "string",
                                                        "description": "Short subsection title (typically a clinical problem name). May be omitted or `null` (e.g. subsections appended by dot phrase auto-apply)."
                                                      },
                                                      "text": {
                                                        "type": "string",
                                                        "description": "Free-text content of the subsection. May be omitted or `null` if the subsection only carries a title."
                                                      }
                                                    },
                                                    "required": [
                                                      "id"
                                                    ],
                                                    "title": "note_section_subsection"
                                                  }
                                                }
                                              },
                                              "title": "note_section_content_subsections"
                                            }
                                          }
                                        },
                                        "title": "note_section_content"
                                      }
                                    },
                                    "required": [
                                      "key",
                                      "title",
                                      "content"
                                    ],
                                    "example": [
                                      {
                                        "key": "CHIEF_COMPLAINT",
                                        "title": "Chief complaint",
                                        "content": {
                                          "type": "TEXT",
                                          "text": "Fatigue and headaches"
                                        }
                                      },
                                      {
                                        "key": "ASSESSMENT_AND_PLAN",
                                        "title": "Assessment & Plan",
                                        "content": {
                                          "type": "SUBSECTIONS",
                                          "subsections": [
                                            {
                                              "id": "00000000-0000-0000-0000-000000000001",
                                              "title": "Hypertension",
                                              "text": "Continue current therapy."
                                            }
                                          ]
                                        }
                                      }
                                    ],
                                    "title": "note_section"
                                  }
                                },
                                "locale": {
                                  "type": "string",
                                  "description": "Locale of the note.",
                                  "enum": [
                                    "ENGLISH_US",
                                    "ENGLISH_UK",
                                    "FRENCH_FR"
                                  ],
                                  "example": "ENGLISH_US",
                                  "title": "note_locale"
                                },
                                "template_key": {
                                  "type": "string",
                                  "description": "Human-readable identifier for the note template used to generate this note."
                                }
                              },
                              "required": [
                                "sections",
                                "locale",
                                "template_key"
                              ],
                              "title": "note"
                            }
                          },
                          "title": "async_note_generation_succeeded_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status"
                      ],
                      "title": "async_note_generation_succeeded"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "generate_note_async.failed",
              "x-sensitive-medical-data": false,
              "x-webhook-type": "CORE_API_GENERATE_NOTE_ASYNC_FAILED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** note generation fails.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "properties": {
                            "error_code": {
                              "type": "integer",
                              "example": 422
                            },
                            "error_message": {
                              "type": "string",
                              "example": "We can't generate the note when the transcript is too short."
                            }
                          },
                          "required": [
                            "error_code"
                          ],
                          "title": "async_request_failed_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status",
                        "payload"
                      ],
                      "title": "async_request_failed"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "transcribe_async.succeeded",
              "x-sensitive-medical-data": true,
              "x-webhook-type": "CORE_API_TRANSCRIBE_ASYNC_SUCCEEDED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** transcription succeeds.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "description": "The generated transcript.",
                          "properties": {
                            "transcript": {
                              "type": "array",
                              "description": "Transcript items from the audio file.",
                              "items": {
                                "type": "object",
                                "description": "A portion of the transcribed consultation.",
                                "properties": {
                                  "text": {
                                    "type": "string",
                                    "description": "The transcribed text.",
                                    "example": "Also, I’m allergic to peanuts."
                                  },
                                  "speaker_type": {
                                    "type": "string",
                                    "enum": [
                                      "DOCTOR",
                                      "PATIENT",
                                      "UNSPECIFIED"
                                    ],
                                    "description": "Who said the text in this transcript item.",
                                    "example": "DOCTOR",
                                    "title": "speaker"
                                  },
                                  "locale": {
                                    "description": "Locale for this transcript item, detected by the speech-to-text engine from the list of locales in the input.",
                                    "type": "string",
                                    "enum": [
                                      "ENGLISH_US",
                                      "ENGLISH_UK",
                                      "SPANISH_ES",
                                      "SPANISH_MX",
                                      "FRENCH_FR",
                                      "ARABIC_EG",
                                      "ARABIC_LB",
                                      "ARABIC_MA",
                                      "ARABIC_SA",
                                      "ARMENIAN_AM",
                                      "BENGALI_IN",
                                      "CANTONESE_CN",
                                      "CROATIAN_HR",
                                      "FILIPINO_PH",
                                      "GERMAN_DE",
                                      "GREEK_GR",
                                      "GUJARATI_IN",
                                      "HEBREW_IL",
                                      "HINDI_IN",
                                      "ITALIAN_IT",
                                      "JAPANESE_JP",
                                      "KHMER_KH",
                                      "KOREAN_KR",
                                      "MANDARIN_CN",
                                      "PERSIAN_IR",
                                      "POLISH_PL",
                                      "PORTUGUESE_PT",
                                      "PUNJABI_IN",
                                      "RUSSIAN_RU",
                                      "SERBIAN_RS",
                                      "TAMIL_IN",
                                      "TELUGU_IN",
                                      "THAI_TH",
                                      "URDU_IN",
                                      "VIETNAMESE_VN",
                                      "HAITIAN_HT"
                                    ],
                                    "example": "ENGLISH_US",
                                    "title": "speech_locale"
                                  },
                                  "start_offset_ms": {
                                    "type": "integer",
                                    "description": "Start time of this transcription item as the offset, in milliseconds, from the start of the audio file.",
                                    "example": 65100
                                  },
                                  "end_offset_ms": {
                                    "type": "integer",
                                    "description": "End time of this transcription item as the offset, in milliseconds, from the start of the audio file. Equals the `start_time_ms` plus the duration of the related transcribed audio portion.",
                                    "example": 69300
                                  }
                                },
                                "required": [
                                  "text",
                                  "locale",
                                  "start_offset_ms",
                                  "end_offset_ms"
                                ],
                                "title": "transcript_item"
                              },
                              "title": "transcript"
                            }
                          },
                          "required": [
                            "transcript"
                          ],
                          "title": "async_transcription_succeeded_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status"
                      ],
                      "title": "async_transcription_succeeded"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "transcribe_async.failed",
              "x-sensitive-medical-data": false,
              "x-webhook-type": "CORE_API_TRANSCRIBE_ASYNC_FAILED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** transcription fails.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "properties": {
                            "error_code": {
                              "type": "integer",
                              "example": 422
                            },
                            "error_message": {
                              "type": "string",
                              "example": "We can't generate the note when the transcript is too short."
                            }
                          },
                          "required": [
                            "error_code"
                          ],
                          "title": "async_request_failed_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status",
                        "payload"
                      ],
                      "title": "async_request_failed"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "dictate_async.succeeded",
              "x-sensitive-medical-data": true,
              "x-webhook-type": "CORE_API_DICTATE_ASYNC_SUCCEEDED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** dictation succeeds.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "description": "The generated dictation.",
                          "properties": {
                            "dictation": {
                              "type": "string",
                              "description": "The generated dictation string."
                            }
                          },
                          "required": [
                            "dictation"
                          ],
                          "title": "async_dictation_succeeded_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status"
                      ],
                      "title": "async_dictation_succeeded"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "dictate_async.failed",
              "x-sensitive-medical-data": false,
              "x-webhook-type": "CORE_API_DICTATE_ASYNC_FAILED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** dictation fails.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "properties": {
                            "error_code": {
                              "type": "integer",
                              "example": 422
                            },
                            "error_message": {
                              "type": "string",
                              "example": "We can't generate the note when the transcript is too short."
                            }
                          },
                          "required": [
                            "error_code"
                          ],
                          "title": "async_request_failed_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status",
                        "payload"
                      ],
                      "title": "async_request_failed"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "generate_normalized_data_async.succeeded",
              "x-sensitive-medical-data": true,
              "x-webhook-type": "CORE_API_GENERATE_NORMALIZED_DATA_ASYNC_SUCCEEDED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** normalized data generation succeeds.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "description": "The normalized data extracted from the note.",
                          "properties": {
                            "conditions": {
                              "description": "FHIR conditions (including their ICD-10 code) corresponding to the patient's medical conditions as mentioned in the clinical note.",
                              "type": "array",
                              "items": {
                                "type": "object",
                                "description": "Structured [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                                "properties": {
                                  "clinical_status": {
                                    "type": "string",
                                    "enum": [
                                      "ACTIVE",
                                      "RESOLVED"
                                    ],
                                    "description": "The [clinical status](https://www.hl7.org/fhir/condition-definitions.html#Condition.clinicalStatus) of the condition. Only `ACTIVE` and `RESOLVED` are supported for now.",
                                    "example": "ACTIVE",
                                    "title": "fhir_condition_clinical_status"
                                  },
                                  "coding": {
                                    "description": "ICD-10 coding representation of this condition.",
                                    "type": "object",
                                    "properties": {
                                      "system": {
                                        "type": "string",
                                        "description": "The used coding system, only ICD-10 is supported for now.",
                                        "enum": [
                                          "http://hl7.org/fhir/sid/icd-10-cm"
                                        ]
                                      },
                                      "code": {
                                        "type": "string",
                                        "example": "G44.8",
                                        "description": "Code of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry."
                                      },
                                      "display": {
                                        "type": "string",
                                        "example": "Other specified headache syndromes.",
                                        "description": "Description of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry."
                                      },
                                      "is_hcc": {
                                        "description": "Indicates if this code maps to a Hierarchical Condition Category (HCC) under the version 28 risk adjustment model.",
                                        "type": "boolean"
                                      },
                                      "is_mcc": {
                                        "description": "Indicates if this code qualifies as a Major Complication or Comorbidity (MCC).",
                                        "type": "boolean"
                                      }
                                    },
                                    "required": [
                                      "code",
                                      "display",
                                      "system",
                                      "is_hcc",
                                      "is_mcc"
                                    ],
                                    "title": "icd10_entry_with_hcc_mcc"
                                  },
                                  "alternative_coding": {
                                    "type": "array",
                                    "description": "An array of ICD-10 codes that are closely related to the primary coding and represent plausible alternative coding for the condition.",
                                    "items": {
                                      "type": "object",
                                      "description": "An ICD-10 entry including HCC and MCC information.",
                                      "properties": {
                                        "system": {
                                          "type": "string",
                                          "description": "The used coding system, only ICD-10 is supported for now.",
                                          "enum": [
                                            "http://hl7.org/fhir/sid/icd-10-cm"
                                          ]
                                        },
                                        "code": {
                                          "type": "string",
                                          "example": "G44.8",
                                          "description": "Code of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry."
                                        },
                                        "display": {
                                          "type": "string",
                                          "example": "Other specified headache syndromes.",
                                          "description": "Description of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry."
                                        },
                                        "is_hcc": {
                                          "description": "Indicates if this code maps to a Hierarchical Condition Category (HCC) under the version 28 risk adjustment model.",
                                          "type": "boolean"
                                        },
                                        "is_mcc": {
                                          "description": "Indicates if this code qualifies as a Major Complication or Comorbidity (MCC).",
                                          "type": "boolean"
                                        }
                                      },
                                      "required": [
                                        "code",
                                        "display",
                                        "system",
                                        "is_hcc",
                                        "is_mcc"
                                      ],
                                      "title": "icd10_entry_with_hcc_mcc"
                                    }
                                  },
                                  "categories": {
                                    "description": "Categories of the condition. `PROBLEM_LIST_ITEM` refers to conditions that are resolved or may appear in past medical history, including chronic conditions that are not treated during the current encounter. `ENCOUNTER_DIAGNOSIS` refers to conditions treated during the current encounter. A condition can appear in both categories.",
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "enum": [
                                        "PROBLEM_LIST_ITEM",
                                        "ENCOUNTER_DIAGNOSIS"
                                      ],
                                      "description": "The category of a [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                                      "example": "PROBLEM_LIST_ITEM",
                                      "title": "fhir_condition_category"
                                    }
                                  },
                                  "subsection_id": {
                                    "description": "Identifier of the Assessment & Plan subsection this condition was extracted from. Matches `content.subsections[].id` when applicable. `null` when the condition is not tied to an Assessment & Plan subsection.",
                                    "type": "string",
                                    "format": "uuid",
                                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                                    "title": "uuid"
                                  }
                                },
                                "required": [
                                  "coding"
                                ],
                                "title": "fhir_patient_condition"
                              }
                            },
                            "observations": {
                              "description": "FHIR observations (including their LOINC code) extracted from the clinical note.",
                              "type": "array",
                              "items": {
                                "type": "object",
                                "description": "Structured [FHIR observation](https://www.hl7.org/fhir/observation.html).",
                                "properties": {
                                  "coding": {
                                    "description": "LOINC coding representation of this observation.",
                                    "type": "object",
                                    "properties": {
                                      "system": {
                                        "type": "string",
                                        "description": "The used coding system, only LOINC is supported for now.",
                                        "enum": [
                                          "http://loinc.org"
                                        ]
                                      },
                                      "code": {
                                        "type": "string",
                                        "example": "29463-7",
                                        "description": "Code of the LOINC entry."
                                      },
                                      "display": {
                                        "type": "string",
                                        "example": "Body weight",
                                        "description": "Description of the LOINC entry."
                                      }
                                    },
                                    "required": [
                                      "code",
                                      "display",
                                      "system"
                                    ],
                                    "title": "loinc_entry"
                                  },
                                  "value_quantity": {
                                    "description": "The value quantity for this observation, if not a range.",
                                    "type": "object",
                                    "properties": {
                                      "value": {
                                        "type": "number",
                                        "description": "The value of the quantity."
                                      },
                                      "unit": {
                                        "type": "string",
                                        "description": "The unit of the observation quantity.",
                                        "enum": [
                                          "METER",
                                          "CENTIMETER",
                                          "FOOT",
                                          "KILOGRAM",
                                          "POUND",
                                          "MILLIMETERS_OF_MERCURY",
                                          "CENTIMETERS_OF_MERCURY",
                                          "CELSIUS",
                                          "FAHRENHEIT",
                                          "BEATS_PER_MINUTE",
                                          "BREATHS_PER_MINUTE",
                                          "LITER_PER_MINUTE",
                                          "MILLIMETER",
                                          "PERCENT",
                                          "INCH"
                                        ],
                                        "title": "observation_value_unit"
                                      },
                                      "system": {
                                        "type": "string",
                                        "description": "The used coding system, only UCUM is supported for now.",
                                        "enum": [
                                          "https://ucum.org"
                                        ]
                                      },
                                      "code": {
                                        "type": "string",
                                        "description": "The [UCUM](https://ucum.org/ucum.html) code of the unit.",
                                        "example": "kg"
                                      }
                                    },
                                    "required": [
                                      "value",
                                      "system"
                                    ],
                                    "title": "observation_value_quantity"
                                  },
                                  "value_range": {
                                    "description": "The value range for this observation, if not a quantity.",
                                    "type": "object",
                                    "properties": {
                                      "low": {
                                        "description": "The lower bound of the range.",
                                        "type": "object",
                                        "properties": {
                                          "value": {
                                            "type": "number",
                                            "description": "The value of the quantity."
                                          },
                                          "unit": {
                                            "type": "string",
                                            "description": "The unit of the observation quantity.",
                                            "enum": [
                                              "METER",
                                              "CENTIMETER",
                                              "FOOT",
                                              "KILOGRAM",
                                              "POUND",
                                              "MILLIMETERS_OF_MERCURY",
                                              "CENTIMETERS_OF_MERCURY",
                                              "CELSIUS",
                                              "FAHRENHEIT",
                                              "BEATS_PER_MINUTE",
                                              "BREATHS_PER_MINUTE",
                                              "LITER_PER_MINUTE",
                                              "MILLIMETER",
                                              "PERCENT",
                                              "INCH"
                                            ],
                                            "title": "observation_value_unit"
                                          },
                                          "system": {
                                            "type": "string",
                                            "description": "The used coding system, only UCUM is supported for now.",
                                            "enum": [
                                              "https://ucum.org"
                                            ]
                                          },
                                          "code": {
                                            "type": "string",
                                            "description": "The [UCUM](https://ucum.org/ucum.html) code of the unit.",
                                            "example": "kg"
                                          }
                                        },
                                        "required": [
                                          "value",
                                          "system"
                                        ],
                                        "title": "observation_value_quantity"
                                      },
                                      "high": {
                                        "description": "The higher bound of the range.",
                                        "type": "object",
                                        "properties": {
                                          "value": {
                                            "type": "number",
                                            "description": "The value of the quantity."
                                          },
                                          "unit": {
                                            "type": "string",
                                            "description": "The unit of the observation quantity.",
                                            "enum": [
                                              "METER",
                                              "CENTIMETER",
                                              "FOOT",
                                              "KILOGRAM",
                                              "POUND",
                                              "MILLIMETERS_OF_MERCURY",
                                              "CENTIMETERS_OF_MERCURY",
                                              "CELSIUS",
                                              "FAHRENHEIT",
                                              "BEATS_PER_MINUTE",
                                              "BREATHS_PER_MINUTE",
                                              "LITER_PER_MINUTE",
                                              "MILLIMETER",
                                              "PERCENT",
                                              "INCH"
                                            ],
                                            "title": "observation_value_unit"
                                          },
                                          "system": {
                                            "type": "string",
                                            "description": "The used coding system, only UCUM is supported for now.",
                                            "enum": [
                                              "https://ucum.org"
                                            ]
                                          },
                                          "code": {
                                            "type": "string",
                                            "description": "The [UCUM](https://ucum.org/ucum.html) code of the unit.",
                                            "example": "kg"
                                          }
                                        },
                                        "required": [
                                          "value",
                                          "system"
                                        ],
                                        "title": "observation_value_quantity"
                                      }
                                    },
                                    "required": [
                                      "low",
                                      "high"
                                    ],
                                    "title": "observation_value_range"
                                  },
                                  "note": {
                                    "type": "string",
                                    "description": "Additional comment about the observation.",
                                    "example": "Measured at rest."
                                  }
                                },
                                "required": [
                                  "coding"
                                ],
                                "title": "observation_entry"
                              }
                            }
                          },
                          "required": [
                            "conditions",
                            "observations"
                          ],
                          "title": "async_normalized_data_succeeded_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status"
                      ],
                      "title": "async_normalized_data_succeeded"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "generate_normalized_data_async.failed",
              "x-sensitive-medical-data": false,
              "x-webhook-type": "CORE_API_GENERATE_NORMALIZED_DATA_ASYNC_FAILED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** normalized data generation fails.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "properties": {
                            "error_code": {
                              "type": "integer",
                              "example": 422
                            },
                            "error_message": {
                              "type": "string",
                              "example": "We can't generate the note when the transcript is too short."
                            }
                          },
                          "required": [
                            "error_code"
                          ],
                          "title": "async_request_failed_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status",
                        "payload"
                      ],
                      "title": "async_request_failed"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            }
          ],
          "discriminator": {
            "propertyName": "type",
            "mapping": {
              "generate_note_async.succeeded": {
                "x-sensitive-medical-data": true,
                "x-webhook-type": "CORE_API_GENERATE_NOTE_ASYNC_SUCCEEDED",
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "description": "The unique identifier of this webhook event.",
                        "type": "string",
                        "format": "uuid",
                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                        "title": "uuid"
                      },
                      "created_at": {
                        "description": "Creation date of this webhook event.",
                        "type": "string",
                        "format": "date-time",
                        "example": "2022-03-10T19:16:23.456Z",
                        "title": "created_at"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                      }
                    },
                    "required": [
                      "id",
                      "created_at",
                      "type"
                    ],
                    "title": "base_webhook_event"
                  },
                  {
                    "type": "object",
                    "description": "Event sent when an **asynchronous** note generation succeeds.",
                    "properties": {
                      "data": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "description": "The id of the asynchronous request.",
                            "type": "string",
                            "format": "uuid",
                            "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                            "title": "uuid"
                          },
                          "client_request_id": {
                            "type": "string",
                            "maxLength": 128,
                            "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                            "title": "client_request_id"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "ONGOING",
                              "FAILED",
                              "SUCCEEDED"
                            ],
                            "title": "async_request_status"
                          },
                          "payload": {
                            "type": "object",
                            "description": "The generated note.",
                            "required": [
                              "note"
                            ],
                            "properties": {
                              "note": {
                                "type": "object",
                                "description": "The generated note.",
                                "properties": {
                                  "title": {
                                    "type": "string",
                                    "description": "Title of the note.",
                                    "example": "Fever and strong headache"
                                  },
                                  "sections": {
                                    "type": "array",
                                    "description": "Content of the note structured in multiple sections.",
                                    "items": {
                                      "type": "object",
                                      "description": "A note section.",
                                      "properties": {
                                        "key": {
                                          "type": "string",
                                          "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates/note-templates-sections) for possible values.",
                                          "example": "CHIEF_COMPLAINT",
                                          "title": "note_section_key"
                                        },
                                        "title": {
                                          "type": "string",
                                          "description": "The section title.",
                                          "example": "Chief complaint"
                                        },
                                        "content": {
                                          "oneOf": [
                                            {
                                              "title": "TEXT",
                                              "type": "object",
                                              "description": "Plain-text note section content.",
                                              "required": [
                                                "type",
                                                "text"
                                              ],
                                              "properties": {
                                                "type": {
                                                  "type": "string",
                                                  "enum": [
                                                    "TEXT"
                                                  ]
                                                },
                                                "text": {
                                                  "type": "string",
                                                  "description": "Content of the note section."
                                                }
                                              }
                                            },
                                            {
                                              "title": "SUBSECTIONS",
                                              "type": "object",
                                              "description": "Structured note section content as subsections.",
                                              "required": [
                                                "type",
                                                "subsections"
                                              ],
                                              "properties": {
                                                "type": {
                                                  "type": "string",
                                                  "enum": [
                                                    "SUBSECTIONS"
                                                  ]
                                                },
                                                "subsections": {
                                                  "type": "array",
                                                  "minItems": 1,
                                                  "description": "Structured subsections. Present only on the Assessment & Plan section of A&P-merged templates. Order is significant.",
                                                  "items": {
                                                    "type": "object",
                                                    "description": "A subsection of a note section. Currently only used on the Assessment & Plan section of A&P-merged templates.",
                                                    "properties": {
                                                      "id": {
                                                        "description": "Stable identifier for this subsection. Echoed on normalized conditions via `subsection_id`.",
                                                        "type": "string",
                                                        "format": "uuid",
                                                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                                                        "title": "uuid"
                                                      },
                                                      "title": {
                                                        "type": "string",
                                                        "description": "Short subsection title (typically a clinical problem name). May be omitted or `null` (e.g. subsections appended by dot phrase auto-apply)."
                                                      },
                                                      "text": {
                                                        "type": "string",
                                                        "description": "Free-text content of the subsection. May be omitted or `null` if the subsection only carries a title."
                                                      }
                                                    },
                                                    "required": [
                                                      "id"
                                                    ],
                                                    "title": "note_section_subsection"
                                                  }
                                                }
                                              }
                                            }
                                          ],
                                          "discriminator": {
                                            "propertyName": "type",
                                            "mapping": {
                                              "TEXT": {
                                                "type": "object",
                                                "description": "Plain-text note section content.",
                                                "required": [
                                                  "type",
                                                  "text"
                                                ],
                                                "properties": {
                                                  "type": {
                                                    "type": "string",
                                                    "enum": [
                                                      "TEXT"
                                                    ]
                                                  },
                                                  "text": {
                                                    "type": "string",
                                                    "description": "Content of the note section."
                                                  }
                                                },
                                                "title": "note_section_content_text"
                                              },
                                              "SUBSECTIONS": {
                                                "type": "object",
                                                "description": "Structured note section content as subsections.",
                                                "required": [
                                                  "type",
                                                  "subsections"
                                                ],
                                                "properties": {
                                                  "type": {
                                                    "type": "string",
                                                    "enum": [
                                                      "SUBSECTIONS"
                                                    ]
                                                  },
                                                  "subsections": {
                                                    "type": "array",
                                                    "minItems": 1,
                                                    "description": "Structured subsections. Present only on the Assessment & Plan section of A&P-merged templates. Order is significant.",
                                                    "items": {
                                                      "type": "object",
                                                      "description": "A subsection of a note section. Currently only used on the Assessment & Plan section of A&P-merged templates.",
                                                      "properties": {
                                                        "id": {
                                                          "description": "Stable identifier for this subsection. Echoed on normalized conditions via `subsection_id`.",
                                                          "type": "string",
                                                          "format": "uuid",
                                                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                                                          "title": "uuid"
                                                        },
                                                        "title": {
                                                          "type": "string",
                                                          "description": "Short subsection title (typically a clinical problem name). May be omitted or `null` (e.g. subsections appended by dot phrase auto-apply)."
                                                        },
                                                        "text": {
                                                          "type": "string",
                                                          "description": "Free-text content of the subsection. May be omitted or `null` if the subsection only carries a title."
                                                        }
                                                      },
                                                      "required": [
                                                        "id"
                                                      ],
                                                      "title": "note_section_subsection"
                                                    }
                                                  }
                                                },
                                                "title": "note_section_content_subsections"
                                              }
                                            }
                                          },
                                          "title": "note_section_content"
                                        }
                                      },
                                      "required": [
                                        "key",
                                        "title",
                                        "content"
                                      ],
                                      "example": [
                                        {
                                          "key": "CHIEF_COMPLAINT",
                                          "title": "Chief complaint",
                                          "content": {
                                            "type": "TEXT",
                                            "text": "Fatigue and headaches"
                                          }
                                        },
                                        {
                                          "key": "ASSESSMENT_AND_PLAN",
                                          "title": "Assessment & Plan",
                                          "content": {
                                            "type": "SUBSECTIONS",
                                            "subsections": [
                                              {
                                                "id": "00000000-0000-0000-0000-000000000001",
                                                "title": "Hypertension",
                                                "text": "Continue current therapy."
                                              }
                                            ]
                                          }
                                        }
                                      ],
                                      "title": "note_section"
                                    }
                                  },
                                  "locale": {
                                    "type": "string",
                                    "description": "Locale of the note.",
                                    "enum": [
                                      "ENGLISH_US",
                                      "ENGLISH_UK",
                                      "FRENCH_FR"
                                    ],
                                    "example": "ENGLISH_US",
                                    "title": "note_locale"
                                  },
                                  "template_key": {
                                    "type": "string",
                                    "description": "Human-readable identifier for the note template used to generate this note."
                                  }
                                },
                                "required": [
                                  "sections",
                                  "locale",
                                  "template_key"
                                ],
                                "title": "note"
                              }
                            },
                            "title": "async_note_generation_succeeded_payload"
                          }
                        },
                        "required": [
                          "id",
                          "status"
                        ],
                        "title": "async_note_generation_succeeded"
                      }
                    },
                    "required": [
                      "data"
                    ]
                  }
                ],
                "title": "generate_note_async_succeeded"
              },
              "generate_note_async.failed": {
                "x-sensitive-medical-data": false,
                "x-webhook-type": "CORE_API_GENERATE_NOTE_ASYNC_FAILED",
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "description": "The unique identifier of this webhook event.",
                        "type": "string",
                        "format": "uuid",
                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                        "title": "uuid"
                      },
                      "created_at": {
                        "description": "Creation date of this webhook event.",
                        "type": "string",
                        "format": "date-time",
                        "example": "2022-03-10T19:16:23.456Z",
                        "title": "created_at"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                      }
                    },
                    "required": [
                      "id",
                      "created_at",
                      "type"
                    ],
                    "title": "base_webhook_event"
                  },
                  {
                    "type": "object",
                    "description": "Event sent when an **asynchronous** note generation fails.",
                    "properties": {
                      "data": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "description": "The id of the asynchronous request.",
                            "type": "string",
                            "format": "uuid",
                            "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                            "title": "uuid"
                          },
                          "client_request_id": {
                            "type": "string",
                            "maxLength": 128,
                            "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                            "title": "client_request_id"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "ONGOING",
                              "FAILED",
                              "SUCCEEDED"
                            ],
                            "title": "async_request_status"
                          },
                          "payload": {
                            "type": "object",
                            "properties": {
                              "error_code": {
                                "type": "integer",
                                "example": 422
                              },
                              "error_message": {
                                "type": "string",
                                "example": "We can't generate the note when the transcript is too short."
                              }
                            },
                            "required": [
                              "error_code"
                            ],
                            "title": "async_request_failed_payload"
                          }
                        },
                        "required": [
                          "id",
                          "status",
                          "payload"
                        ],
                        "title": "async_request_failed"
                      }
                    },
                    "required": [
                      "data"
                    ]
                  }
                ],
                "title": "generate_note_async_failed"
              },
              "transcribe_async.succeeded": {
                "x-sensitive-medical-data": true,
                "x-webhook-type": "CORE_API_TRANSCRIBE_ASYNC_SUCCEEDED",
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "description": "The unique identifier of this webhook event.",
                        "type": "string",
                        "format": "uuid",
                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                        "title": "uuid"
                      },
                      "created_at": {
                        "description": "Creation date of this webhook event.",
                        "type": "string",
                        "format": "date-time",
                        "example": "2022-03-10T19:16:23.456Z",
                        "title": "created_at"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                      }
                    },
                    "required": [
                      "id",
                      "created_at",
                      "type"
                    ],
                    "title": "base_webhook_event"
                  },
                  {
                    "type": "object",
                    "description": "Event sent when an **asynchronous** transcription succeeds.",
                    "properties": {
                      "data": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "description": "The id of the asynchronous request.",
                            "type": "string",
                            "format": "uuid",
                            "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                            "title": "uuid"
                          },
                          "client_request_id": {
                            "type": "string",
                            "maxLength": 128,
                            "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                            "title": "client_request_id"
                          },
                          "status": {
                            "type": "string",
[...]
